package com.pcloud.book.adnews.enums;

/**
 * @author zhengyongqiang
 * @date 2019/10/9 9:39
 */
public enum AdNewsSendRuleEnum {
    LAST_UPDATE(0, "最近更新"),
    MATCH_LABEL(1, "匹配标签");

    public final Integer key;
    public final String description;

    AdNewsSendRuleEnum(Integer key, String description) {
        this.key = key;
        this.description = description;
    }

    public static String getDescriptionByKey(Integer key) {
        AdNewsSendRuleEnum[] var1 = values();
        int var2 = var1.length;
        for (int var3 = 0; var3 < var2; ++var3) {
            AdNewsSendRuleEnum methodEnum = var1[var3];
            if (methodEnum.key.equals(key)) {
                return methodEnum.description;
            }
        }
        return null;
    }
}
